commit:     ed8aeaf3c3ea1cef3064d530ab49d87fc36427af
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 26 10:44:34 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Jul 26 11:46:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed8aeaf3

gnome-extra/gnome-boxes: bump to 3.36.5

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 gnome-extra/gnome-boxes/Manifest                  |   1 +
 gnome-extra/gnome-boxes/gnome-boxes-3.36.5.ebuild | 128 ++++++++++++++++++++++
 2 files changed, 129 insertions(+)

diff --git a/gnome-extra/gnome-boxes/Manifest b/gnome-extra/gnome-boxes/Manifest
index e1b666ef611..118644bc90e 100644
--- a/gnome-extra/gnome-boxes/Manifest
+++ b/gnome-extra/gnome-boxes/Manifest
@@ -1 +1,2 @@
 DIST gnome-boxes-3.34.4.tar.xz 1191668 BLAKE2B 
98a206abdd8a181979b6d40f176b0a1518b51ebd312929c8eab549e6de83b1d299f4c3177d6b2b07873c2e620a744b627adce6bc1c0ef5ae2aac55189377de4f
 SHA512 
025bfe6fe583cedd80b376b96e87a8ecbbb8f4d723490cf18cc2ca73cb959d9e2bae1b784cc1018866c594962d1e508e5a3b9c9562763eb76e7291c5f6189463
+DIST gnome-boxes-3.36.5.tar.xz 1263156 BLAKE2B 
ebce9f5cfa6740e8d7691bc4ea726999a9c67507472328a4efc3451f8d4fc1a992282fcdf18bb461ef57a05ac153e9b61a96c250002fd4785212124ec7b589b5
 SHA512 
ed5b844bbfbf420f58fa1ebc465ab971ef7733d6e08c2e2fb31980f76c7a60f8b6aaf91eb4ed392c5aa0de1a66d7d86ef212bc69806229795aade3f75d1f6549

diff --git a/gnome-extra/gnome-boxes/gnome-boxes-3.36.5.ebuild 
b/gnome-extra/gnome-boxes/gnome-boxes-3.36.5.ebuild
new file mode 100644
index 00000000000..67d2fa2a501
--- /dev/null
+++ b/gnome-extra/gnome-boxes/gnome-boxes-3.36.5.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+VALA_USE_DEPEND="vapigen"
+VALA_MIN_API_VERSION="0.40"
+
+inherit gnome.org gnome2-utils linux-info meson readme.gentoo-r1 vala xdg
+
+DESCRIPTION="Simple GNOME 3 application to access remote or virtual systems"
+HOMEPAGE="https://wiki.gnome.org/Apps/Boxes";
+
+LICENSE="LGPL-2+ CC-BY-2.0"
+SLOT="0"
+
+IUSE="rdp"
+KEYWORDS="~amd64"
+
+# FIXME: qemu probably needs to depend on spice[smartcard] directly with 
USE=spice
+# FIXME: Check over libvirt USE=libvirtd,qemu and the smartcard/usbredir 
requirements
+# Technically vala itself still ships a libsoup vapi, but that may change, and 
it should be better to use the .vapi from the same libsoup version
+# gtk-vnc raised due to missing vala bindings in earlier ebuilds
+DEPEND="
+       >=app-arch/libarchive-3.0.0:=
+       >=dev-libs/glib-2.52:2
+       >=x11-libs/gtk+-3.22.20:3
+       >=net-libs/gtk-vnc-0.8.0-r1[gtk3(+)]
+       >=sys-libs/libosinfo-1.7.0
+       app-crypt/libsecret
+       >=net-libs/libsoup-2.44:2.4
+       virtual/libusb:1
+       >=app-emulation/libvirt-glib-3.0.0
+       >=dev-libs/libxml2-2.7.8:2
+       >=net-misc/spice-gtk-0.32[gtk3(+),smartcard,usbredir]
+       app-misc/tracker:0/2.0
+       >=x11-libs/vte-0.40.2:2.91
+       net-libs/webkit-gtk:4
+
+       >=dev-libs/gobject-introspection-1.56:=
+       >=dev-libs/libgudev-165:=
+       rdp? ( net-misc/freerdp:= )
+" # gobject-introspection needed for libovf subproject (and gtk-frdp 
subproject with USE=rdp)
+# These are called via exec():
+# sys-fs/mtools mcopy for unattended file copying for files that libarchive 
doesn't support
+# virtual/cdrtools mkisofs is needed for unattended installer secondary disk 
image creation
+# app-emulation/libguestfs virt-sysprep is used for VM cloing, if not there, 
it logs debug and doesn't function
+# sys-apps/policycoreutils restorecon is used for checking selinux context
+# app-emulation/libvirt virsh used for various checks (and we need the library 
anyways)
+# sys-auth/polkit used for making all libvirt system disks readable via 
"pkexec chmod a+r" that aren't already readable to the user (libvirt system 
importer)
+# app-emulation/qemu qemu-img used to convert image to QCOW2 format during copy
+RDEPEND="${DEPEND}
+       >=app-misc/tracker-miners-2[iso]
+       app-emulation/spice[smartcard]
+       >=app-emulation/libvirt-0.9.3[libvirtd,qemu]
+       >=app-emulation/qemu-1.3.1[spice,smartcard,usbredir]
+       sys-fs/mtools
+       virtual/cdrtools
+       sys-auth/polkit
+"
+# gtk-frdp generates gir and needs gtk+ introspection for it
+# This is only needed for creating the .vapi file, but gnome-boxes needs it
+BDEPEND="
+       $(vala_depend)
+       net-libs/gtk-vnc[vala]
+       sys-libs/libosinfo[vala]
+       app-crypt/libsecret[vala]
+       net-libs/libsoup:2.4[vala]
+       app-emulation/libvirt-glib[vala]
+       net-misc/spice-gtk[vala]
+       x11-libs/vte:2.91[vala]
+       dev-libs/appstream-glib
+       rdp? ( x11-libs/gtk+:3[introspection] )
+       dev-util/itstool
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="Before running gnome-boxes for local VMs, you will need to load 
the KVM modules.
+If you have an Intel Processor, run:
+# modprobe kvm-intel
+
+If you have an AMD Processor, run:
+# modprobe kvm-amd"
+
+pkg_pretend() {
+       linux-info_get_any_version
+
+       if linux_config_exists; then
+               if ! { linux_chkconfig_present KVM_AMD || \
+                       linux_chkconfig_present KVM_INTEL; }; then
+                       ewarn "You need KVM support in your kernel to use GNOME 
Boxes local VM support!"
+               fi
+       fi
+}
+
+src_prepare() {
+       xdg_src_prepare
+       vala_src_prepare
+}
+
+src_configure() {
+       local emesonargs=(
+               -Ddistributor_name=Gentoo
+               -Ddistributor_version=${PVR}
+               $(meson_use rdp)
+               -Dinstalled_tests=false
+               -Dflatpak=false
+               -Dprofile=default
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+       readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to